# Summary

- [Architecture](./architecture.md)
  - [Boot Process](boot_process.md)
  - [MLL ISO Image Structure](filesystem_layout.md)
- [Shell Scripts & Folders](./overview.md)
- [Build Process](./build_scripts.md)
  - [Configuration File](./config_file.md)
  - [Common Properties & Functions](./common.md)
  - [Step 00 - Clean Workspace](./00_clean.md)
  - [Step 01 - Get Kernel](./01_get_kernel.md)
  - [Step 02 - Build Kernel](./02_build_kernel.md)
  - [Step 03 - Get GLIBC](./03_get_glibc.md)
  - [Step 04 - Build GLIBC](./04_build_glibc.md)
  - [Step 05 - Prepare Sysroot](./05_prepare_sysroot.md)
  - [Step 06 - Get Busybox](./06_get_busybox.md)
  - [Step 07 - Build Busybox](./07_build_busybox.md)
  - [Step 08 - Prepare Bundles](./08_prepare_bundles.md)
  - [Step 09 - Generate Rootfs](./09_generate_rootfs.md)
  - [Step 10 - Pack Rootfs](./10_pack_rootfs.md)
  - [Step 11 - Generate Overlay Structure](./11_generate_overlay.md)
  - [Step 12 - Get Syslinux](./12_get_syslinux.md)
  - [Step 12 - Get systemd-boot](./12_get_systemd-boot.md)
  - [Step 13 - Prepare ISO Structure](./13_prepare_iso.md)
  - [Step 14 - Generate ISO Image](./14_generate_iso.md)
  - [Step 15 - Generate Filesystem Image](./15_generate_image.md)
  - [Step 16 - Final Cleanup](./16_cleanup.md)

